---
title: About
---

My name is Daniel, and I am a programmer, Linux enthusiast, and graduate student
of cybersecurity. My research interest is authentication, and I like programming
in Python and POSIX shell. I spend my free time writing code, tinkering, and
contributing to open-source projects. Feel free to [contact me](/contact) if you
want to see my resume or learn more about my work.

[TOC]

## My work

I'm the author [zona] (a static site generator), [Ashen] (a color scheme), and a
number of [Kakoune plugins](/kakoune). Check my various [Git] forge profiles to
see my latest work.

[zona]: https://git.ficd.sh/ficd/zona
[Git]: /git
[Ashen]: https://codeberg.org/ficd/ashen
[Kakoune]: https://kakoune.org

## Education

I completed a Bachelor's of Computing (Honours) at Queen's University in 2024,
and I'm currently in the Master's of Science program at the School of Computing.
As part of the NSERC CREATE Cybersecurity program, my work combines programming,
cryptography, system design, and threat modeling to tackle real-world security
challenges. I'm currently working on my thesis, which introduces a novel method
of detecting signal relay attacks in the context of multi-factor authentication.

## Things I use

I use [Kakoune] as my text editor, and I type in
[Colemak-DH](https://colemakmods.github.io/mod-dh/) on a
[custom layout](https://git.ficd.sh/ficd/zmk). I run Arch Linux on a desktop PC
and ThinkPad, my preferred terminal is Foot, and I enjoy Niri as a window
manager.

## This Website

This website is my personal blog and homepage. It's
[JavaScript free](https://jsfree.org/), and registered on
[1mb.club](https://1mb.club/). The color scheme is [Ashen], and it was built
using [zona]. I'm working on a post describing my process for building it ---
stay tuned if you're interested.
